Skip to main content
GET
TypeScript SDK

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Notion-Version
enum<string>
required

The API version to use for this request. The latest version is 2026-03-11.

Available options:
2026-03-11

Path Parameters

file_upload_id
string
required

Identifier for a Notion file upload object.

Response

object
string
required

Always file_upload

Allowed value: "file_upload"
id
string<uuid>
required
created_time
string<date-time>
required
created_by
object
required
last_edited_time
string<date-time>
required
in_trash
boolean
required
expiry_time
string<date-time> | null
required
status
enum<string>
required

One of: pending, uploaded, expired, failed

Available options:
pending,
uploaded,
expired,
failed
filename
string | null
required
content_type
string | null
required
content_length
integer | null
required
Required range: x >= 0
upload_url
string
complete_url
string
file_import_result
Success · object
number_of_parts
object